import Emitter, { IEmitter } from '@zodash/emitter';
export declare type IListener = (...args: any[]) => void;
export interface IEvents {
    error(error: Error): void;
    ready(): void;
    close(): void;
    data(data: object): void;
    message(message: {
        type: string;
        content: any;
    }): void;
}
export interface ISDK extends IEmitter<IEvents> {
    ready(fn?: IListener): Promise<any>;
    close(): Promise<void>;
}
export declare abstract class SDK extends Emitter<IEvents> implements ISDK {
    private _isReady;
    get isReady(): boolean;
    get logger(): any;
    get cache(): any;
    get storage(): any;
    get http(): import("axios").AxiosStatic;
    ready(fn?: IListener): Promise<void>;
    close(): Promise<void>;
}
export default SDK;
